ExtLine1Point Example |
Using Programming Languages other than VBA
Sub Example_ExtLine1Point() ' This example creates an aligned dimension and then changes the ' ExtLine1Point property for that dimension. Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5#: point1(1) = 5#: point1(2) = 0# point2(0) = 10#: point2(1) = 5#: point2(2) = 0# location(0) = 5#: location(1) = 7#: location(2) = 0# ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ZoomAll MsgBox "The current value for ExtLine1Point is " & dimObj.ExtLine1Point(0) & ", " & dimObj.ExtLine1Point(1) & ", " & dimObj.ExtLine1Point(2), vbInformation, "ExtLine1Point Example" ' Change the endpoint of the first extension line point1(0) = 2: point1(1) = 5: point1(2) = 0 dimObj.ExtLine1Point = point1 dimObj.Update ' Return the endpoint of the first extension line ' Note that the return value is a Variant Dim retPnt As Variant retPnt = dimObj.ExtLine1Point MsgBox "The new value for ExtLine1Point is " & dimObj.ExtLine1Point(0) & ", " & dimObj.ExtLine1Point(1) & ", " & dimObj.ExtLine1Point(2), vbInformation, "ExtLine1Point Example" End Sub
Comments? |